package intrinsic.mx.rpc.soap;

public class SOAPFault extends intrinsic.mx.rpc.Fault {

	/** Accessors */
	public String detail;
	public String faultstring;

	/** Variables */
	public intrinsic.XML element;
	public String faultactor;
	public intrinsic.QName faultcode;
	public Object rootCause;
	public Object name;
	public Object message;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SOAPFault() {
}

public SOAPFault(intrinsic.QName arg0, String arg1) {
}

public SOAPFault(intrinsic.QName arg0, String arg1, String arg2) {
}

public SOAPFault(intrinsic.QName arg0, String arg1, String arg2, intrinsic.XML arg3) {
}

public SOAPFault(intrinsic.QName arg0, String arg1, String arg2, intrinsic.XML arg3, String arg4) {
}


/** Static Methods */

/** Methods */
public native String toString();

}
